前言

最近更新了win10系统后,导致无法远程连接到我自己的阿里云服务器上了,连接时一直提示“出现身份验证错误,要求的函数不支持”的错误,经过一番百度后,主要有两种解决方案,经实践其中一种可以解决遇到的这个问题。特此记录一下,以备忘~~

问题重现

1.png

原因分析

5.png

解决方案一

网上看到的常见的解决办法是:修改加密oracle修正,具体操作方法如下:

运行中输入 gpedit.msc,依次打开本地组策略->计算机配置->管理模板->系统->凭据分配,然后在右侧找到 加密oracle修正 的设置项,进行相应设置,

2.png4.png

由于我的电脑系统是win10家庭版,本身没有本地组策略,然后升级到win10专业版后,如上图所示,并没有找到加密oracle的设置项,因此此方案不适合我的电脑系统。

解决方案二:修改注册表信息

具体操作如下:

6.png7.png

8.png

右击Parameters,新建--DWORD(32)位,命名为AllowEncryptionOracle,并将数据值改为2

经过如上步骤设置后,然后尝试远程连接服务器,如果还不可以,重启电脑即可。

参考文章

https://blog.csdn.net/nan_cheung/article/details/80290476

作者: 一蓑烟雨

本文版权归作者所有,欢迎转载,但未经作者同意必须保留此段声明,且在文章页面明显位置给出原文连接,否则保留追究法律责任的权利。

分类: 杂谈
posted 阅读(56 ) 评论(0 )

评论内容: